## g_mindist

Main Table of Contents

VERSION 3.2.0
Sun 25 Jan 2004

### Description

g_mindist computes the distance between one group and a number of other groups. Both the minimum distance and the number of contacts within a given distance are written to two separate output files. With `-or`, minimum distances to each residue in the first group are determined and plotted as a function of reisdue number.

With option `-pi` the minimum distance of a group to its periodic image is plotted. This is useful for checking if a protein has seen its periodic image during a simulation. Only one shift in each direction is considered, giving a total of 26 shifts. It also plots the maximum distance within the group and the lengths of the three box vectors.

Other programs that calculate distances are `g_dist` and `g_bond`.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `traj.xtc` | Input | Generic trajectory: xtc trr trj gro g96 pdb
`-s` | `topol.tpr` | Input, Opt. | Structure+mass(db): tpr tpb tpa gro g96 pdb xml
`-n` | `index.ndx` | Input, Opt. | Index file
`-od` | `mindist.xvg` | Output | xvgr/xmgr file
`-on` | `numcont.xvg` | Output, Opt. | xvgr/xmgr file
`-o` | `atm-pair.out` | Output, Opt. | Generic output file
`-ox` | `mindist.xtc` | Output, Opt. | Generic trajectory: xtc trr trj gro g96 pdb
`-or` | `mindistres.xvg` | Output, Opt. | xvgr/xmgr file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `19` | Set the nicelevel
`-b` | time | `-1` | First frame (ps) to read from trajectory
`-e` | time | `-1` | Last frame (ps) to read from trajectory
`-dt` | time | `-1` | Only use frame when t MOD dt = first time (ps)
`-tu` | enum | `ps` | Time unit: `ps`, `fs`, `ns`, `us`, `ms`, `s`, `m` or `h`
`-[no]w` | bool | `no` | View output xvg, xpm, eps and pdb files
`-[no]matrix` | bool | `no` | Calculate half a matrix of group-group distances
`-[no]max` | bool | `no` | Calculate *maximum* distance instead of minimum
`-d` | real | `0.6` | Distance for contacts
`-[no]pi` | bool | `no` | Calculate minimum distance with periodic images
`-[no]split` | bool | `no` | Split graph where time is zero

http://www.gromacs.org
gromacs@gromacs.org